deleteAddress

Prev Next

Available in Classic and VPC

Delete a registered recipient email address. If there are recipient groups that include the deletion target, the associated information for those groups is edited.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /address-book/address

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request body

The following describes the request body.

Field Type Required Description
emailAddresses List[String] Required List of recipient email addresses to delete

Request example

The following is a sample request.

curl --location --request DELETE 'https://mail.apigw.ntruss.com/api/v1/address-book/address' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "emailAddresses":[
    "xxx@naver.com",
    "xxx@daum.net",
    ...
  ]
}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
totalAddressCount Integer - Total number of email addresses
groups List - Recipient group information

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "totalAddressCount": 4300,
  "groups": [
    {
      "sid": 155,
      "groupName": "Teens",
      "addressCount": 3900
    },
    {
      "sid": 159,
      "groupName": "Male",
      "addressCount": 1000
    }
}